4Suite™ API Documentation

# ► Module Ft.Lib.DistExt.BuildL10n

Classes: BuildL10n, MsgFmt

## Classes

class BuildL10n(distutils.cmd.Command)

  ### Methods

  finalize_options(self)
    Overrides: finalize_options from class Command
  get_outputs(self)
  get_source_files(self)
  initialize_options(self)
    Overrides: initialize_options from class Command
  run(self)
    Overrides: run from class Command

  ### Methods inherited from class distutils.cmd.Command

  __getattr__, __init__, announce, copy_file, copy_tree, debug_print, dump_options, ensure_dirname, ensure_filename, ensure_finalized, ensure_string, ensure_string_list, execute, get_command_name, get_finalized_command, get_sub_commands, make_archive, make_file, mkpath, move_file, reinitialize_command, run_command, set_undefined_options, spawn, warn

  ### Members

  command_name = 'build_l10n'
  description = 'compile message catalog to binary format'
  user_options = [('build-dir=', 'd', 'directory to "build" (copy) to'), ('force', 'f', 'forcibly build everything (ignore file timestamps')]

  ### Members inherited from class distutils.cmd.Command

  sub_commands
class MsgFmt

  ### Methods

  __init__(self)
  add(self, id, str, fuzzy)
    Add a non-fuzzy translation to the dictionary.
  generate(self, fp)
    Return the generated output.
  parse(self, pofile)